$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.0/sfk180.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.0/sfk180.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '15f38d20d053a1d436479dbd440e7035d06196405fb57c069e182b978937e913'
  checksumType  = 'sha256'
  checksum64    = '15f38d20d053a1d436479dbd440e7035d06196405fb57c069e182b978937e913'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
